> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/acron-9.3/en/kzp_mit_parameter_starten/kzp_jobs.md).

# Command line parameters for ACRON jobs

**Syntax for job call:**

acjob.exe -p\<plant ID> -f\<job folder> -u\<Login-Name>

**Explanatory notes to the parameters**

|                 |                                                                                                                                                                                                                                                                                                                                                                                                  |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| -p\<plant ID>   | Plant ID Be sure to use the correct case.                                                                                                                                                                                                                                                                                                                                                        |
| -f\<job folder> | Name of the job folder with the jobs to be executed                                                                                                                                                                                                                                                                                                                                              |
| -u\<Login name> | [Login name](/acron-9.3/en/anlagenkonfiguration/benutzerverwaltung/benutzer.md#loginname) of a suitable user from ACRON user administration (the user is displayed as the creating originator in reports for example). If a [language file](/acron-9.3/en/anlagenkonfiguration/benutzerverwaltung/benutzer/benutzerdaten.md#sprachdatei) is assigned to this user, it is used for report output. |

<details>

<summary></summary>

acjob.exe -pplant\_1 -fWeek

This call prints all reports in the 'Week' job folder for plant\_1.

</details>

If the job folder name contains blank spaces, it must be enclosed in " ".

**Other options:**

**Parameters for import, export, e-mail and archive jobs**

|                                         |                                                                                                                                                                                                                                                                                                                                                            |
| --------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| -r\<filename>                           | In all import, export and archive jobs in the respective job folder the specified file name is used instead of the assigned one. Note The jobs are taken from the assigned path, where they were created. If blank spaces are included, \<filename> should be enclosed in " ". The file extension must be included.                                        |
| -r\<filenamewithpath>                   | In all import, export and archive jobs in the respective job folder the specified complete file name (including path) is used instead of the assigned one. Note If blank spaces are included, \<filenamewithpath> should be enclosed in " ". The specified path must exist, otherwise this parameter will be ignored. The file extension must be included. |
| -j<<myname@mycompany.com>\| newcontent> | In all e-mail jobs in the respective job folder the specified e-mail address is used instead of the assigned one. By using the separator "\|" a new text can additionally be entered for the mail content. Note If blank spaces are included, the text following -j should be enclosed in " ".                                                             |

**Timing for printout of standard reports**

<table><thead><tr><th></th><th></th></tr></thead><tbody><tr><td>-d&#x3C;report type></td><td>Report type = report type to which the time refers.</td></tr><tr><td></td><td><pre><code>P    Process report, variable time reports
</code></pre></td></tr><tr><td></td><td><pre><code>D    Daily report
</code></pre></td></tr><tr><td></td><td><pre><code>M    Monthly report
</code></pre></td></tr><tr><td></td><td><pre><code>W    Weekly report
</code></pre></td></tr><tr><td></td><td><pre><code>Y    Annual report
</code></pre></td></tr><tr><td></td><td><pre><code>S    Shift report
</code></pre></td></tr><tr><td>-v&#x3C;time frame from></td><td>Time frame = time as date string or as date string with time stamp</td></tr><tr><td>-b&#x3C;time frame to></td><td><em>Only in the case of process reports, variable time reports and modification reports</em></td></tr><tr><td></td><td>When using these parameters the timing entered for these reports in the job folder is ignored. The parameters only ever apply to all reports of the specified report type. All other reports in the job folder are generated with the time frame entered in the job.</td></tr><tr><td></td><td><strong>Syntax</strong></td></tr><tr><td></td><td><pre><code>for process reports:    -dP -vYYYYMMDDHHMMSS -bYYYYMMDDHHMMSS
</code></pre></td></tr><tr><td></td><td><pre><code>for variable time reports:    -dP -vYYYYMMDDHHMMSS -bYYYYMMDDHHMMSS
</code></pre></td></tr><tr><td></td><td><pre><code>for daily reports:    -dD -vYYYYMMDD
</code></pre></td></tr><tr><td></td><td><pre><code>for weekly reports:    -dW -vYYYYWW
</code></pre></td></tr><tr><td></td><td><pre><code>for monthly reports:    -dM -vYYYYMM
</code></pre></td></tr><tr><td></td><td><pre><code>for annual reports:    -dY -vYYYY
</code></pre></td></tr><tr><td></td><td><pre><code>for modification reports:    -dD -vYYYYMMDD -bYYYYMMDD
</code></pre></td></tr><tr><td></td><td><p>:</p><pre><code>acjob.exe -pplant_1 -fReports -dD -v20120109
This call prints all daily reports in the job folder for January 9, 2012.
</code></pre><p>NoteThe two parameters must be used together. If one of the parameters is missing, or if the date format is incorrect, the entry is ignored.</p></td></tr><tr><td>-i&#x3C;hh:mm:ss></td><td><p>Interval in hours, minutes and seconds</p><p><em>Only for variable time reports with variable interval</em></p><p><br></p><p>:</p><pre><code>acjob.exe -pplant_1 -fReports -dP -v20120101000000
-b20120105235959 -i00:05:30
This call prints all process reports and variable time reports in the job folder for the time frame 1st January 2012 0 hours to 5th January 2012 23 hours 59 minutes 59 seconds. For variable time reports with variable intervals an interval of 5 minutes and 30 seconds is used.
</code></pre></td></tr></tbody></table>

**Timing for data export:**

<table><thead><tr><th></th><th></th></tr></thead><tbody><tr><td>-d&#x3C;data type></td><td>Data type = data type to which the time refers.</td></tr><tr><td></td><td><pre><code>P    Export of process data
</code></pre></td></tr><tr><td></td><td><pre><code>D    Export of daily data
</code></pre></td></tr><tr><td></td><td><pre><code>M    Export of monthly data
</code></pre></td></tr><tr><td></td><td><pre><code>W    Export of weekly data
</code></pre></td></tr><tr><td></td><td><pre><code>Y    Export of annual data
</code></pre></td></tr><tr><td></td><td><pre><code>I    Export of primary interval data
</code></pre></td></tr><tr><td></td><td><pre><code>N    Export of secondary interval data
</code></pre></td></tr><tr><td>-v&#x3C;time frame from></td><td>Time frame = time as date string or as date string with time stamp</td></tr><tr><td>-b&#x3C;time frame to></td><td>When using these parameters the timing entered for these exports in the job folder is ignored. The parameters only ever apply to all exports of the specified data type. All other exports in the job folder are generated with the time frame entered in the job.</td></tr><tr><td></td><td><strong>Syntax</strong></td></tr><tr><td></td><td><pre><code>for process data:    -dP -vYYYYMMDDHHMMSS -bYYYYMMDDHHMMSS
</code></pre></td></tr><tr><td></td><td><pre><code>for daily data:    -dD -vYYYYMMDD -bYYYYMMDD
</code></pre></td></tr><tr><td></td><td><pre><code>for weekly data:    -dW -vYYYYWW -bYYYYWW
</code></pre></td></tr><tr><td></td><td><pre><code>for monthly data:    -dM -vYYYYMM -bYYYYMM
</code></pre></td></tr><tr><td></td><td><pre><code>for annual data:    -dY -vYYYY -bYYYY
</code></pre></td></tr><tr><td></td><td><pre><code>for primary interval data:    -dI -vYYYYMMDDHHMMSS -bYYYYMMDDHHMMSS
</code></pre></td></tr><tr><td></td><td><pre><code>for secondary interval data:    -dN -vYYYYMMDDHHMMSS -bYYYYMMDDHHMMSS
</code></pre></td></tr><tr><td></td><td><p>:</p><pre><code>acjob.exe -pplant_1 -fExports -dD -v20120109
This call exports daily data for January 9, 2012. For all other export data types in this job folder the timing -v -b is ignored.
</code></pre><p>NoteThe two parameters must be used together. If one of the parameters is missing, or if the date format is incorrect, the entry is ignored.</p></td></tr></tbody></table>

**To print instructions for cyclic and extraordinary actions:**

<table><thead><tr><th></th><th></th></tr></thead><tbody><tr><td>-a&#x3C;entity ID></td><td><p>Identification of the entity for which the instructions are to be printed.</p><p>The job folder containing the jobs for execution must contain an "instructions report" job as a minimum.</p></td></tr><tr><td>-s&#x3C;action ID></td><td><p>Identification of the cyclic action for which the instructions or materials are to be printed.</p><p>The job folder containing the jobs for execution must contain an "instructions report" or "materials report" job as a minimum.</p><p><br></p><p>:</p><pre><code>acjob.exe -pplant_1 -fAction -sAnnualAction01
This call prints the instructions for the cyclic action with the identification "AnnualAction01".
</code></pre></td></tr></tbody></table>

**To print status reports and histories for entities**

<table><thead><tr><th></th><th></th></tr></thead><tbody><tr><td>-m&#x3C;form></td><td><p>Name of the user-defined form for a status report or history</p><p><br></p><p>:</p><pre><code>acjob.exe -pplant_1 -fAction -mStatus
This call prints all status overviews in the job folder using the "Status" form.
acjob.exe -pplant_1 -fActions -m"My own status report"
This call prints all status overviews in the job folder using the "My own status report" form.
acjob.exe -pplant_1 -fAction -m"My new history"
This call prints all histories in the job folder using the form "
My new history
".
</code></pre><p>NoteThe names of the user-defined forms should be unique. Any forms defined in the job folder are ignored, and the entered form is used for the output instead.If the form name contains blank spaces, the parameter must be enclosed in " ".</p></td></tr></tbody></table>

**For printout and export of event reports:**

<table><thead><tr><th></th><th></th></tr></thead><tbody><tr><td>-e&#x3C;event ID></td><td>NoteThis parameter is used in connection with events, when calling report jobs and export jobs. Since the parameter uses a different syntax in each of the two cases, the two job types should not be combined in one job folder.</td></tr><tr><td></td><td><p><strong>Usage with a report job:</strong></p><p><em>Event ID = unique identification of each occurring event.</em></p><p>The job folder containing the jobs for execution must contain an "events report" job as a minimum.</p><p>Event in the following format:</p><p>"Identification/EventID", e.g. Event1/Event10007</p><p><br></p><p>:</p><pre><code>acjob.exe -pplant_1 -fEvent -eEvent1/Event10007
This call uses the event with the ID "Event10007" to generate the report.
</code></pre><p>NoteThe event ID can be found in the relevant dialog of the ACRON Reporter; the configuration is carried out under <a href="/pages/W2666mRUNpgypMHmWDqh#herkunft-ereignis-id">Origin of event ID</a>.</p></td></tr><tr><td></td><td></td></tr><tr><td></td><td><p><strong>Usage with an export job:</strong></p><p><em>Event ID = unique identification of each occurring event.</em></p><p>The job folder with the jobs to be executed must as a minimum contain an "export events" job in which the event name field is empty.</p><p>Event identification in the following format:</p><p>"Event identification"</p><p><br></p><p>:</p><pre><code>acjob.exe -pplant_1 -fEvent -eMyEventShort
This call exports all results for "MyEventShort" in the entered time frame.
</code></pre></td></tr><tr><td></td><td><p>Tip: A search query can also be entered in place of a complete identification. The standard ACRON wildcards '*' and '?' can be used.<br></p><p>:</p><pre><code>acjob.exe -pplant_1 -fEvent -eM*
This call exports all results in the specified time frame for each event with an identification beginning with 'M'. When assigning the file names, the identification of the event is suffixed to the assigned name.
</code></pre></td></tr></tbody></table>

Note

In the Powershell (as in all other shells) no programs can be started from the current directory. The "dot backslash `.\`" or "dot slash `./`" combination prefix must be entered for the purpose.

Example: .`\acrondesigner.exe`

That is not necessary on the DOS command line, but it does work too.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/acron-9.3/en/kzp_mit_parameter_starten/kzp_jobs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
